/* Data-structures used for communicating with remote target over ethernet. 
   Copyright 1993 CONVEX Computer Corporation.

 *	There are two versions here, one for the older serial line
 *	based gdb, and the newer ethernet based gdb.

This file is part of GDB.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */


struct kgdb_packet {
        char            cmd;
	unsigned int	address;
	unsigned int	size;
	unsigned int	task_id;
	unsigned int	thread_id;
	unsigned char	data[1024];
} ;

typedef struct kgdb_packet *kgdb_packet_t;

/*
 *	Definition of kgdb_request for ethernet version.
 */

struct kgdb_request {
	unsigned int	xid;
	unsigned int	type;
	unsigned int	task_id;
	unsigned int	thread_id;
	unsigned int	request;
	unsigned int	address;
	unsigned int	size;
	unsigned char	data[1024];
};

typedef struct kgdb_request *kgdb_request_t;

struct kgdb_response {
	unsigned int	xid;
	unsigned int	type;
	unsigned int	task_id;
	unsigned int	thread_id;
	unsigned int	return_code;
	unsigned int	pad;
	unsigned int	size;
	unsigned char	data[1024];
};

typedef struct kgdb_response *kgdb_response_t;

/*
 * @OSF_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: gdb_packet.h,v $
 * Revision 1.1.2.1  1995/05/12  19:45:03  duthie
 * 	New for remote kernel debugging.
 * 	[1995/05/12  19:44:50  duthie]
 *
 * $EndLog$
 */
